/*******************************************************************************
* Copyright (C) 2019-2022, 518 Systems (R),All Rights Reserved.
*
* File:          test_cfg_global.h
* Description  ȫͷļ
* Version      V0.1
* Date         2021-05-01
* Author       kevin
 *******************************************************************************/

#ifndef __TEST_GLOBAL_CONFIG_H__
#define __TEST_GLOBAL_CONFIG_H__
/*******************************************************************************
* 1.Included files
*******************************************************************************/

/*******************************************************************************
* 2.Global constant and macro definitions using #define
*******************************************************************************/

#define _TEST_TIMER_EN              0
#define _TEST_DSI_TX_EN             0
#define _TEST_DSI_RX_EN             0
#define _TEST_PWM_EN                0
#define _TEST_SWIRE_EN              0
#define _TEST_WDG_EN                0
#define _TEST_GPIO_EN               0
#define _TEST_I2C_EN                0
#define _TEST_SPI_EN                0

#define _DEMO_S8_EN                 1
#define _DEMO_S8P_EN                0
#if _TEST_TIMER_EN
    #include "test_hal_timer.h"
#endif

#if _TEST_I2C_EN
    #include "test_hal_i2c.h"
#endif

#if _TEST_SPI_EN
    #include "test_hal_spi.h"
#endif

#if _TEST_DSI_TX_EN
    #include "test_hal_dsi_tx.h"
#endif

#if _TEST_DSI_RX_EN
    #include "test_hal_dsi_rx.h"
#endif

#if _TEST_PWM_EN
    #include "test_hal_pwm.h"
#endif

#if _TEST_SWIRE_EN
    #include "test_hal_swire.h"
#endif

#if _TEST_WDG_EN
    #include "test_hal_wdg.h"
#endif

#if _TEST_GPIO_EN
    #include "test_hal_gpio.h"
#endif

#if _TEST_I2C_TP_EN
    #include "test_hal_i2c_tp.h"
#endif

#if _DEMO_S8_EN
    #include "ap_demo.h"
  //  #include "app_tp_for_custom_s8.h"
#endif

#if _DEMO_S8P_EN
    #include "s8p_demo.h"
    #include "app_tp_for_custom_s8p.h"
#endif

#endif

