/**
 * File Name: tau_delay.h
 *
 *
 *
 * Author:  Fortsense 3D Firmware Team
 *
 * Date: 2020/12/04
 *
 * Project: Taurus
 *
 * Description:
 *
 * HISTORY:
**/
#ifndef _DELAY_H_
#define _DELAY_H_
#include "stdint.h"

/**
* @brief  delay ms ,2%
* @param  ms:delayʱ
* @retval none
*/
void delayMs(uint32_t ms);

/**
* @brief  delay us ,2%
* @param  us:delayʱ
* @retval none
*/
void delayUs(uint32_t us);

#endif
