/*******************************************************************************
*
*
* File:          hal_swire.h
* Description swire HALͷļ
* Version      V0.1
* Date         2021-03-17
* Author       wuc
 *******************************************************************************/
#ifndef __HAL_SWIRE_H__
#define __HAL_SWIRE_H__

/*******************************************************************************
* 1.Included files
*******************************************************************************/
#include "tau_device_datatype.h"
#include "tau_common.h"

/*******************************************************************************
* 2.Global constant and macro definitions using #define
*******************************************************************************/

/*******************************************************************************
* 3.Global structures, unions and enumerations using typedef
*******************************************************************************/

/*******************************************************************************
* 4.Global variable extern declarations
*******************************************************************************/

/*******************************************************************************
* 5.Global function prototypes
*******************************************************************************/
/**
* @brief  SWIREʼ
* @param  
* @retval 
*/
void hal_swire_init(void);

/**
* @brief  SWIREʼ
* @param  
* @retval 
*/
void hal_swire_deinit(void);

/**
* @brief  SWIRE岢ʼ
* @param  start_timeʼʱλus
* @param  stop_timeʱλus300us
* @param  high_timeߵƽʱλus
* @param  low_time͵ƽʱλus
* @param  pulseظ
* @retval 
*/
void hal_swire_start(uint32_t start_time, uint32_t stop_time,
                     uint32_t high_time, uint32_t low_time,
                     uint32_t pulse);

/**
* @brief  򿪻رձ
* @param  stateؿ
* @retval 
*/
void hal_swire_open(function_state_e state);

/**
* @brief  עص
* @param  cb_funcصַ
* @retval 
*/
void hal_swire_register_callback(fcb_type cb_func);

#endif /* __HAL_SWIRE_H__ */
