/*******************************************************************************
*
*
* File:          hal_timer.h
* Description timer HALͷļ
* Version      V0.1
* Date         2021-03-16
* Author       wuc
 *******************************************************************************/
#ifndef __HAL_TIMER_H__
#define __HAL_TIMER_H__

/*******************************************************************************
* 1.Included files
*******************************************************************************/
#include "tau_device_datatype.h"
#include "tau_common.h"

/*******************************************************************************
* 2.Global constant and macro definitions using #define
*******************************************************************************/

/*******************************************************************************
* 3.Global structures, unions and enumerations using typedef
*******************************************************************************/

/*******************************************************************************
* 4.Global variable extern declarations
*******************************************************************************/

/*******************************************************************************
* 5.Global function prototypes
*******************************************************************************/
/**
* @brief  ָʱʼ
* @param  indexʵ(0~3)οötimer_num_e
* @retval 
*/
void hal_timer_init(timer_num_e index);

/**
* @brief  ָʱʼ
* @param  indexʵ(0~3)οötimer_num_e
* @retval 
*/
void hal_timer_deinit(timer_num_e index);

/**
* @brief  ָʱ
* @param  indexʵ(0~3)οötimer_num_e
* @param  msʱʱ䣬λmsӦóһmsģӦÿҪʱ
              ֱʱ䣬ڽӿڲʱмĴá
* @param  cb_funcصַҪNULL
* @param  dataصĲַҪNULL
* @retval 
*/
void hal_timer_start(timer_num_e index, uint32_t ms, fcb_type cb_func, void *data);

/**
* @brief  ָʱ
* @param  indexʵ(0~3)οötimer_num_e
* @param  usʱʱ䣬λusӦóһusģӦÿҪʱ
              ֱʱ䣬ڽӿڲʱмĴá
* @param  cb_funcصַҪNULL
* @param  dataصĲַҪNULL
* @retval 
*/
void hal_timer_start_ex(timer_num_e index, uint32_t us, fcb_type cb_func, void *data);

/**
* @brief  ָֹͣʱ
* @param  indexʵ(0~3)οötimer_num_e
* @retval 
*/
void hal_timer_stop(timer_num_e index);

/**
* @brief  öʱǷѭʱ
* @param  indexʵ(0~3)οötimer_num_e
* @param  bool enableѭʱʹ
* @retval 
*/
void hal_timer_set_repeat(timer_num_e index, bool repeat);

/**
* @brief  ȡָָʾ״̬
* @param  indexʵ(0~3)οötimer_num_e
* @retval οtimer_status_e
*/
timer_status_e hal_timer_get_status(timer_num_e index);

#endif /* __HAL_TIMER_H__ */
