/*******************************************************************************
*
*
* File:          hal_wdg.h
* Description wdg HALͷļ
* Version      V0.1
* Date         2021-03-16
* Author       wuc
 *******************************************************************************/
#ifndef __HAL_WDG_H__
#define __HAL_WDG_H__

/*******************************************************************************
* 1.Included files
*******************************************************************************/
#include "tau_device_datatype.h"
#include "tau_common.h"


/*******************************************************************************
* 2.Global constant and macro definitions using #define
*******************************************************************************/

/*******************************************************************************
* 3.Global structures, unions and enumerations using typedef
*******************************************************************************/
/*!
 * @brief watch dogģʽ
 */
typedef enum
{
    WDG_MODE_RESET     = 0,  //λģʽܷɸλ
    WDG_MODE_INTERRUPT = 1   //жģʽܷɽж
} wdg_mode_e;

/*******************************************************************************
* 4.Global variable extern declarations
*******************************************************************************/

/*******************************************************************************
* 5.Global function prototypes
*******************************************************************************/
/**
* @brief  Źʼ
* @param  
* @retval 
*/
void hal_wdg_init(void);

/**
* @brief  Źʼ
* @param  
* @retval 
*/
void hal_wdg_deinit(void);

/**
* @brief  Ź
* @param  wdg_mode_e modeSel: λжģʽ
* @param  uint32_t load: ʱʱ䣬λms
* @retval 
*/
void hal_wdg_start(wdg_mode_e modeSel, uint32_t load);

/**
* @brief  ֹͣŹ
* @param  
* @retval 
*/
void hal_wdg_stop(void);

/**
* @brief  WDGǷѭʱ
* @param  enableѭʱʹ
* @retval 
*/
void hal_wdg_set_repeat(bool repeat);

/**
* @brief  עжϻص
* @param  cb_funcصַ
* @param  dataصַ
* @retval 
*/
void hal_wdg_register_callback(fcb_type cb_func, void *data);

/**
* @brief  ι
* @param  
* @retval 
*/
void hal_wdg_kick_dog(void);

#endif /* __HAL_WDG_H__ */
